
%{!?svn_rev:%define svn_rev 25448}

%define debug_package %{nil}

Name: adc64-system
Summary: ADC64 multiple device status monitor
Version: 1.0
Release: 1.%{svn_rev}%{?dist}
License: GPL
Group: Electronic Lab
URL: http://afi.jinr.ru/ADC64
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: qt5-qtbase-devel
Requires: qt5-qtbase-mysql
Requires: desktop-file-utils
Requires: mstream
Obsoletes: adc64-status

%description
ADC64 multiple device status monitor

%prep
%setup -q

%build

make svn_rev=%{svn_rev} NODEBUG=yes

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}%{_prefix}

# Install desktop stuff
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -m 644 -T src/%{name}/desktop-icon.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png

desktop-file-install --vendor afielectronics			\
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications		\
	--add-category X-AFI-Electronics			\
	src/%{name}/%{name}.desktop

%post

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/pixmaps/%{name}*
%{_datadir}/applications/*


%changelog
* Tue Feb 17 2015  <Ilja.Slepnev@jinr.ru> - 
- Initial build.
